API reference · Fee recipients
Get a fee recipient
GET https://payday.direct/api/v1 /fees/{mint} Copy
Who receives a token's creator fees, with the on-chain facts to check it: the coin's pump.fun fee sharing config and the Payday payout wallet that must be its only shareholder. feedrop: false for a token that is not a Payday coin.
Needs an API key in Authorization: Bearer or X-API-Key. Authentication
mintstring required
The token's mint address
200 OK
401 Missing or invalid key
429 Over the limit. Retry-After says when to try again.
cURL JavaScript Python Copy
curl "https://payday.direct/api/v1/fees/MINT_ADDRESS" \
-H "Authorization: Bearer pd_YOUR_KEY" const res = await fetch("https://payday.direct/api/v1/fees/MINT_ADDRESS", {
headers: { Authorization: "Bearer " + process.env.PAYDAY_KEY },
});
const json = await res.json();
if (!res.ok) throw new Error(json.error?.code);
console.log(json);import os, requests
r = requests.get(
"https://payday.direct/api/v1/fees/MINT_ADDRESS",
headers={"Authorization": "Bearer " + os.environ["PAYDAY_KEY"]},
)
r.raise_for_status()
print(r.json())Response 200 Copy
{
"mint" : "3unDHbPUsLqQtoHgvuCsRSArnuhVjhsn11vRht5Xpump" ,
"feedrop" : true ,
"feeRecipient" : {
"type" : "x_account" ,
"handle" : "examplehandle" ,
"profile" : "https://x.com/examplehandle" ,
"paidOn" : "xmoney" ,
"since" : "2026-11-12T10:04:00.000Z" ,
"how" : "launched for this account"
},
"payouts" : {
"paidUsd" : 1240.5 ,
"openOrdersUsdc" : 120 ,
"lastPaidAt" : "2026-11-15T18:22:41.000Z"
},
"onchain" : {
"feeSharingConfig" : "CfgPda1111111111111111111111111111111111111" ,
"shareholders" : [
{
"address" : "J3rNJ3qzKFpRY5F9kGVs7VwspHxyrSd38643pTHU8MTA" ,
"shareBps" : 10000
}
],
"adminRevoked" : true ,
"payoutWallet" : "J3rNJ3qzKFpRY5F9kGVs7VwspHxyrSd38643pTHU8MTA" ,
"verified" : true
},
"page" : "https://payday.direct/x/examplehandle"
}